Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Compiler Tree API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.source.util
Class TaskEvent

    java.lang.Object
      com.sun.source.util.TaskEvent

    public final class TaskEvent

extends Object

Provides details about work that has been done by the Sun Java Compiler, javac.

Since:
  1.6

Nested Class Summary
`static class` | `TaskEvent.Kind` Kind of task event.

Constructor Summary
`TaskEvent(TaskEvent.Kind kind)`
`TaskEvent(TaskEvent.Kind kind, CompilationUnitTree unit)`
`TaskEvent(TaskEvent.Kind kind, CompilationUnitTree unit, TypeElement clazz)`
`TaskEvent(TaskEvent.Kind kind, JavaFileObject sourceFile)`

Method Summary
`CompilationUnitTree` | `getCompilationUnit()`
`TaskEvent.Kind` | `getKind()`
`JavaFileObject` | `getSourceFile()`
`TypeElement` | `getTypeElement()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TaskEvent

    public TaskEvent(TaskEvent.Kind kind)

### TaskEvent

    public TaskEvent(TaskEvent.Kind kind,
                     JavaFileObject sourceFile)

### TaskEvent

    public TaskEvent(TaskEvent.Kind kind,
                     CompilationUnitTree unit)

### TaskEvent

    public TaskEvent(TaskEvent.Kind kind,
                     CompilationUnitTree unit,
                     TypeElement clazz)

Method Detail

### getKind

    public TaskEvent.Kind getKind()

### getSourceFile

    public JavaFileObject getSourceFile()

### getCompilationUnit

    public CompilationUnitTree getCompilationUnit()

### getTypeElement

    public TypeElement getTypeElement()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Compiler Tree API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.